﻿$packagename = 'contasimple-desktop'
$ErrorActionPreference = 'Stop';
$packageArgs = @{
  packageName   = $packagename
  softwareName  = 'Contasimple*'
  fileType      = 'EXE'
  validExitCodes= @(0)
  silentArgs   = '/S'
}

$uninstalled = $false

[array]$key = Get-UninstallRegistryKey -SoftwareName $packageArgs['softwareName']

if ($key.Count -eq 1) {
  $key | % { 
    $packageArgs['file'] = "$($_.UninstallString)"
    
    if ($packageArgs['fileType'] -eq 'MSI') {
     
      $packageArgs['silentArgs'] = "$($_.PSChildName) $($packageArgs['silentArgs'])"
     
      $packageArgs['file'] = ''
    } else {
	
		$packageArgs['file'] = $packageArgs['file'] -replace '"', ''
		
		$fileArgsArray = $packageArgs['file'].Split("/")
		$packageArgs['file'] = $fileArgsArray[0]
	}
	
    Uninstall-ChocolateyPackage @packageArgs
  }
} elseif ($key.Count -eq 0) {
  Write-Warning "$packageName has already been uninstalled by other means."
} elseif ($key.Count -gt 1) {
  Write-Warning "$($key.Count) matches found!"
  Write-Warning "To prevent accidental data loss, no programs will be uninstalled."
  Write-Warning "Please alert package maintainer the following keys were matched:"
  $key | % {Write-Warning "- $($_.DisplayName)"}
}